Skip to Content
Webhooks

Delete a webhook endpoint

Stop deliveries and remove the endpoint. Requires the `webhooks:write` scope.

DELETE
/v1/webhook-endpoints/{id}

Stop deliveries and remove the endpoint.

Requires the webhooks:write scope.

Authorization

secretKey
headerAuthorizationBearer <token>

A secret key: wc_live_... or wc_test_.... Keep it on your server.

Path Parameters

id*string
Match^whk_[0-9A-Za-z]{6,64}$

Response Body

The endpoint was deleted.

application/json
  1. response

Returned by DELETE requests.

id*string
deleted*true
Value intrue
Example Request
curl -X DELETE 'https://api.whocoming.com/v1/webhook-endpoints/string'
Example Response
{  "id": "string",  "deleted": true}